Subject: Re: [net-next 4/4] net: ethernet: renesas: rcar_gen4_ptp: Hide private data from users

From: Jakub Kicinski <[email-masked]>
Date: Mon, 2 Feb 2026 19:11:21 -0800

On Sun,  1 Feb 2026 19:37:45 +0100 Niklas Söderlund wrote:
> The Gen4 PTP helper module is already used by RTSN and RSWITCH to
> support PTP clocks and will be used by RAVB too. Hide the Gen4 PTP
> private data structure to make sure none of the users poke at it.
> 
> This will be more important for RAVB use-cases as more then one RAVB
> device will need to cooperate using one PTP clock source.

IMO hiding type definitions in C is an anti-pattern.
Sooner or later you'll need a sizeof or a static inline helper 
and you'll have to bend over backwards to access the type info.

We can take this if you have a strong preference, but please
think again if you really need this or it's a code cleanliness
instinct carried over from objective programming, hence foreign..